Skip to main content
POST
/
vault
/
{id}
/
memory
/
search
Search vault memory
curl --request POST \
  --url https://api.case.dev/vault/{id}/memory/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "types": [
    "<string>"
  ],
  "tags": [
    "<string>"
  ],
  "limit": 10
}
'
{
  "results": [
    {
      "id": "<string>",
      "type": "<string>",
      "content": "<string>",
      "source": "<string>",
      "tags": [
        "<string>"
      ],
      "created_by": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Path Parameters

id
string
required

Vault ID

Body

application/json
query
string
required
types
string[]
tags
string[]
limit
integer
default:10
Required range: 1 <= x <= 100

Response

Search results

results
object[]